Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.CreatedNameContext

- org.apache.groovy.parser.antlr4.GroovyParser.CreatedNameContext

-     public static class GroovyParser.CreatedNameContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CreatedNameContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public AnnotationsOptContext` | `annotationsOpt()`
    `` | `public int` | `getRuleIndex()`
    `` | `public PrimitiveTypeContext` | `primitiveType()`
    `` | `public QualifiedClassNameContext` | `qualifiedClassName()`
    `` | `public TypeArgumentsOrDiamondContext` | `typeArgumentsOrDiamond()`

- - ### Constructor Detail

    - #### public CreatedNameContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public AnnotationsOptContext annotationsOpt()

    - #### @Override
      public int getRuleIndex()

    - #### public PrimitiveTypeContext primitiveType()

    - #### public QualifiedClassNameContext qualifiedClassName()

    - #### public TypeArgumentsOrDiamondContext typeArgumentsOrDiamond()